Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class PropertyGeneration

    java.lang.Object
      org.hibernate.mapping.PropertyGeneration

All Implemented Interfaces:
  Serializable

    public class PropertyGeneration

extends Object
implements Serializable

Indicates whether given properties are generated by the database and, if so, at what time(s) they are generated.

See Also:
  Serialized Form

Field Summary
`static PropertyGeneration` | `ALWAYS` Values for this property are generated by the database on both insert and update.
`static PropertyGeneration` | `INSERT` Values for this property are generated by the database on insert.
`static PropertyGeneration` | `NEVER` Values for this property are never generated by the database.

Method Summary
`String` | `getName()`
`static PropertyGeneration` | `parse(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEVER

    public static final PropertyGeneration NEVER

  Values for this property are never generated by the database.

### INSERT

    public static final PropertyGeneration INSERT

  Values for this property are generated by the database on insert.

### ALWAYS

    public static final PropertyGeneration ALWAYS

  Values for this property are generated by the database on both insert and update.

Method Detail

### getName

    public String getName()

### parse

    public static PropertyGeneration parse(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.